package imageanalyzer;

import java.awt.BorderLayout;
import java.awt.Toolkit;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.Box;
import javax.swing.ImageIcon;
import javax.swing.JButton;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.border.EmptyBorder;

public class InformazioniSu extends JDialog {

	public InformazioniSu() {
		setTitle("Informazioni su Image Analyzer");
		setDefaultCloseOperation(JDialog.DISPOSE_ON_CLOSE);
		setIconImage(Toolkit.getDefaultToolkit().getImage(InformazioniSu.class.getResource("/imageanalyzer/img/imageanalyzer.png")));
		setBounds(100, 100, 400, 360);
		getContentPane().setLayout(new BorderLayout(0, 0));

		Box verticalBox = Box.createVerticalBox();
		verticalBox.setBorder(new EmptyBorder(0, 10, 10, 10));
		getContentPane().add(verticalBox);

		JLabel lblIcona = new JLabel(
				"<html><h2>Image Analyzer</h2>Trasforma un'immagine in:&nbsp;&nbsp;&nbsp;<br>- Bianco e nero<br>- Scala di grigi<br>- Negativo<br>- Rosso / Verde / Blu<br>Istogramma delle frequenze dei colori<br>&nbsp;<sub>Copyright \u00A9 GfO 2016</sub></html>");
		verticalBox.add(lblIcona);
		lblIcona.setIconTextGap(20);
		lblIcona.setIcon(new ImageIcon(InformazioniSu.class.getResource("/imageanalyzer/img/imageanalyzer.png")));

		JButton okButton = new JButton("OK");
		verticalBox.add(okButton);
		okButton.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				setVisible(false);
				dispose();
			}
		});

		pack();
	}

}
